using ESpace.DALibrary.SqlServer;

namespace AVC.Passport.DataEntity
{
	public class User_Rights : DataEntityBase
	{
		public User_Rights()
		{
			base.InitMetaData();
		}

		private System.Int32 _UserID;
		public System.Int32 UserID
		{
			get
			{
				return this._UserID;
			}
			set
			{
				this._UserID = value;
				IsChanged = true;
			}
		}

		private System.Int32 _RightID;
		public System.Int32 RightID
		{
			get
			{
				return this._RightID;
			}
			set
			{
				this._RightID = value;
				IsChanged = true;
			}
		}

		private System.DateTime _CreateTime;
		public System.DateTime CreateTime
		{
			get
			{
				return this._CreateTime;
			}
			set
			{
				this._CreateTime = value;
				IsChanged = true;
			}
		}

		private System.Int32 _CreateUser;
		public System.Int32 CreateUser
		{
			get
			{
				return this._CreateUser;
			}
			set
			{
				this._CreateUser = value;
				IsChanged = true;
			}
		}
	}
}